package com.zzsn.api;

import com.zzsn.util.Metadata;

import java.util.ArrayList;
import java.util.List;


public class BookViewSupport {

	/**
	 * 详细数据-表头
	 * @return
	 */
	public static List<Metadata> getColumnSite(){
		List<Metadata> list = new ArrayList<Metadata>();
		list.add(new Metadata("String","id","id", "80", "center"));
		list.add(new Metadata("String","name","站点", "140", "center"));
		list.add(new Metadata("String","domainUri","站点域名", "150", "center"));
//		list.add(new Metadata("String","tid","tid", "80", "center"));
		list.add(new Metadata("String","uri","测试url", "180", "center"));
		list.add(new Metadata("String","matchTitle","匹配标题规则", "90", "center"));
		list.add(new Metadata("String","matchSummary","匹配简介规则", "90", "center"));
		list.add(new Metadata("String","matchContent","匹配内容规则", "90", "center"));
		list.add(new Metadata("String","createDate","创建时间", "90", "center"));
		list.add(new Metadata("String","func","操作", "150", "center"));

		return list;
	}
	/**
	 * 站点模板数据-表头
	 * @return
	 */
	public static List<Metadata> getColumnTempSite(){
		List<Metadata> list = new ArrayList<Metadata>();
		list.add(new Metadata("String","id","id", "80", "center"));
		list.add(new Metadata("String","domainUrl","域名", "140", "center"));
//		list.add(new Metadata("String","domainUri","站点域名", "150", "center"));
//		list.add(new Metadata("String","tid","tid", "80", "center"));
		list.add(new Metadata("String","contTitle","内容标题", "180", "center"));
		list.add(new Metadata("String","keywords","关键词", "90", "center"));
		list.add(new Metadata("String","infoUrl","资讯URL", "90", "center"));
		list.add(new Metadata("String","createTime","创建时间", "90", "center"));
		list.add(new Metadata("String","func","操作", "150", "center"));

		return list;
	}

	/**
	 * 详细数据-表头
	 * @return
	 */
	public static List<Metadata> getColumnBaidu(){
		List<Metadata> list = new ArrayList<Metadata>();
		list.add(new Metadata("String","id","id", "80", "center"));
		list.add(new Metadata("String","title","标题", "200", "center"));
		list.add(new Metadata("String","keywords","关键词", "140", "center"));
		list.add(new Metadata("String","origin","来源", "90", "center"));
		list.add(new Metadata("String","sourceaddress","来源URL", "90", "center"));
		list.add(new Metadata("String","publishdate","发布时间", "90", "center"));
//		list.add(new Metadata("String","summary","摘要", "200", "center"));
		list.add(new Metadata("String","contentnotag","内容", "400", "center"));
		list.add(new Metadata("String","func","操作", "120", "center"));

		return list;
	}

}
